libdar::defile Class Reference
Private

the defile class keep trace of the real path of files while the flow in the filter routines More...

`#include <defile.hpp>`

## Public Member Functions

| defile (const path &racine)
| defile (const defile &ref)=default
| defile (defile &&ref) noexcept=default
defile & | operator= (const defile &ref)=default
defile & | operator= (defile &&ref) noexcept=default
void | enfile (const cat_entree *e)
const path & | get_path () const
const std::string & | get_string () const
const std::string & | get_string_without_root () const

## Private Types

enum | { none , full , without_root }

## Private Attributes

path | chemin
| current path More...
bool | init
| true if reached the "root" (all pushed arguments have been poped) More...
enum libdar::defile:: { ... } | cache_set
| whether cache is accurate
std::string | cache
| cache of "chemin" converted into string More...

## Detailed Description

the defile class keep trace of the real path of files while the flow in the filter routines

the filter routines manipulates flow of inode, where their relative order represent the directory structure. To be able to know what is the real path of the current inode, all previously passed inode must be known. this class is used to display the progression of the filtering routing, and the file on which the filtering routine operates

Definition at line 46 of file defile.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

mutable private

Definition at line 64 of file defile.hpp.

## Constructor & Destructor Documentation

## defile()

libdar::defile::defile | ( | const path & | racine | ) |

inline

Definition at line 49 of file defile.hpp.

## Member Function Documentation

## get_path()

const path & libdar::defile::get_path | ( |  | ) | const

inline

Definition at line 57 of file defile.hpp.

## Member Data Documentation

## cache

std::string libdar::defile::cache

mutable private

cache of "chemin" converted into string

Definition at line 65 of file defile.hpp.

## chemin

path libdar::defile::chemin

private

current path

Definition at line 62 of file defile.hpp.

## init

bool libdar::defile::init

private

true if reached the "root" (all pushed arguments have been poped)

Definition at line 63 of file defile.hpp.

The documentation for this class was generated from the following file:

- defile.hpp